@charset "UTF-8";

.page-mv {
	position: relative;
	aspect-ratio: 1920 / 770;
	width: 100%;
	height: auto;
	padding-top: clamp(160px, 13.5417vw, 260px);
	z-index: 2;

	&::before {
		content: "";
		position: absolute;
		top: 0;
		left: 0;
		right: 0;
		bottom: -100vh;
		background-image: url("../img/common/mv_bg.png");
		background-size: 66%;
		background-position: left top;
		background-repeat: no-repeat;
	}
}

.mv__content {
	position: relative;
	z-index: 100;

	width: 100%;
	padding-inline: 95px;
	margin-inline: auto;
	color: var(--white);
}

@media only screen and (max-width: 1340px) {
	.mv__content {
		padding-inline: 40px;
	}
}

.c-heading {
	width: 100%;
	display: flex;
	flex-direction: column;
	gap: 3rem;
}

.c-heading__ja {
	display: flex;
	align-items: center;
	gap: 0.52em;
	font-size: clamp(1.5rem, calc(0.5833rem + 1.9097vw), 2.875rem);
	line-height: 1;

	padding-left: 20px;

	&::before {
		content: "";
		width: 0.85em;
		height: 0.85em;
		background: var(--white);
		border-radius: 100%;
		translate: 0 4px;
	}
}

.c-heading__en {
	font-family: "Google Sans", sans-serif;
	font-size: clamp(6rem, calc(-0.75rem + 14.0625vw), 13.75rem);
	font-weight: bold;
	line-height: 1;
}

@media only screen and (max-width: 768px) {
	.page-mv {
		aspect-ratio: 768 / 445;
		padding-top: clamp(120px, 27.34375vw, 210px);

		&::before {
			background-image: url("../img/common/mv_bg-sp.png");
			background-size: 96%;
		}
	}

	.mv__content {
		padding-inline: min(5.208vw, 2.5rem);
	}

	.c-heading {
		gap: 0.5rem;
	}

	.c-heading__ja {

		font-size: clamp(0.9rem, 3.52vw, 1.6875rem);

		padding-left: 5px;
	}

	.c-heading__en {
		font-size: clamp(2.5rem, 13.17vw, 6.1875rem);
	}
}

.reveal-h2 {
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	gap: 10px;
	margin-block: 1rem 3.5rem;
	font-size: 2.875rem;

	line-height: 1;
}

.reveal-row {
	position: relative;
	display: inline-block;
	padding: 0.5rem 0.2rem;
	overflow: hidden;
}

.reveal-bg {
	position: absolute;
	inset: 0;
	display: block;
	width: 0%;
	transform-origin: left center;
	background-image: url('../img/top/grada_bg.png');
	background-size: cover;
	background-position: left 25%;
	z-index: 0;
}

.reveal-overlay {
	position: absolute;
	inset: 0;
	display: block;

	z-index: 1;
}

.reveal-text {
	position: relative;
	display: block;
	z-index: 2;
	color: transparent;
	transition: color 0.3s ease 0.2s;
	white-space: nowrap;
	position: relative;
	display: block;
	z-index: 2;
	color: var(--white);
	*/
    transition: color 0.3s ease 0.2s;
	white-space: nowrap;
	font-weight: 400;
}

@media only screen and (max-width: 768px) {
	.reveal-h2 {
		gap: 4px;
		margin-block: 0.8rem 6rem;
		font-size: clamp(1rem, 5.47vw, 2.625rem);
	}
}

.s-internship__meta {
	display: flex;
	gap: 1em;
	align-items: center;
	line-height: 1;
	margin-bottom: 1.5rem;
}

.s-internship__date {
	font-size: 1.25rem;
	color: var(--p_blue);
}

.s-internship__category {
	font-size: 1.1875rem;
	color: #3a3a3a;

	&::before {
		content: "#";
	}
}

.s-internship__body h3 {
	font-size: 2.25rem;
	line-height: 2.3;
	/*line-height: 3.3;　MH編集*/
	color: var(--p_blue);
	/*margin-bottom: 2rem;　MH編集*/
	font-weight: 400;
}

.s-internship__body p {
	font-size: 1.5rem;
	line-height: 2;
	margin-bottom: 4.5rem;
}

.s-internship__body figure {
	display: block;
	margin-bottom: 4rem;
}

@media only screen and (max-width: 768px) {
	.s-internship__meta {
		display: flex;
		gap: 1em;
		align-items: center;
		line-height: 1;
		margin-bottom: 1.5rem;
	}

	.s-internship__date {
		font-size: clamp(0.8rem, 2.21vw, 1.25rem);
	}

	.s-internship__category {
		font-size: clamp(1rem, 2.21vw, 1.875rem);
	}

	.s-internship__body h3 {
		font-size: clamp(1.25rem, 3.39vw, 2.25rem);
		line-height: 2;
	}

	.s-internship__body p {
		font-size: clamp(1rem, 2.21vw, 1.5rem);
		line-height: 1.8;
	}
}

.post-pagination {
	display: grid;
	grid-template-columns: 1fr 1fr 1fr;
	max-width: 280px;
	width: 100%;
	margin: 4rem auto 0;

	a {
		display: flex;
		flex-direction: column;
		align-items: center;
		justify-content: center;
		gap: 10px;
		color: var(--white);
	}

	svg {
		width: 3rem;
		height: 3rem;
	}

	span {
		font-family: "Google Sans", sans-serif;
		font-size: 1.5rem;
		font-weight: bold;
		line-height: 1;
	}
}

@media only screen and (max-width: 768px) {
	.post-pagination {

		margin: 2.5rem auto 0;

		svg {
			width: 2.5rem;
			height: 2.5rem;
		}

		span {

			font-size: 1rem;

			line-height: 1;
		}
	}
}